Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class DisplayNameInfo

    java.lang.Object
      jet.api.DisplayNameInfo

    public class DisplayNameInfo

extends java.lang.Object

The DisplayNameInfo defines the DisplayName object for field in Dataset.

In JReport Viewer, you can drill around report data, sort report data on certain fields, search a report for some text, and filter the report data using filter conditions. When you perform these operations, you will be working with field mapping names. However, with just the field mapping names, you may find it inconvenient for end users, especially when the field mapping name is obscure. To help you, JReport provides a display name customizing function for you to define the column names as required, and also to specify the actions which the display names will take part in.

Constructor Summary
`DisplayNameInfo(java.lang.String resourceName)`
`DisplayNameInfo(java.lang.String resourceName, java.lang.String displayName, boolean sort, boolean filter, boolean drill, boolean search)` Constructs a DisplayName object.

Method Summary
`java.lang.String` | `getDisplayName()` Gets the display name of the field.
`java.lang.String` | `getResourceName()` Gets the mapping name of the field.
`boolean` | `isDrill()` Gets whether or not to show the field in Drill list.
`boolean` | `isFilter()` Gets whether or not to show the field in Filter list.
`boolean` | `isFormulaed()` Specifies whether the display field is a formula or not.
`boolean` | `isSearch()` Gets whether or not to show the field in Search list.
`boolean` | `isSort()` Gets whether or not to show the field in Sort list.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of the field.
`void` | `setDrill(boolean drill)` Sets whether or not to show the field in Drill list.
`void` | `setFilter(boolean filter)` Sets whether or not to show the field in Filter list.
`void` | `setFormulaed(boolean formulaed)` Specifies whether the display field is a formula or not.
`void` | `setGroupSort(java.lang.String groupName, boolean sortOn)` Sets sort option in group field.
`void` | `setSearch(boolean search)` Sets whether or not to show the field in Search list.
`void` | `setSort(boolean sort)` Sets whether or not to show the field in Sort list.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayNameInfo

    public DisplayNameInfo(java.lang.String resourceName,
                           java.lang.String displayName,
                           boolean sort,
                           boolean filter,
                           boolean drill,
                           boolean search)

  Constructs a DisplayName object.

  Parameters:
    `resourceName` - Specifies the mapping name of the field.
    `displayName` - Specifies the display name of the field.
    `sort` - Specifies whether or not to show the field in Sort list.
    `filter` - Specifies whether or not to show the field in Filter list.
    `drill` - Specifies whether or not to show the field in Drill list.
    `search` - Specifies whether or not to show the field in Search list.

### DisplayNameInfo

    public DisplayNameInfo(java.lang.String resourceName)

Parameters:
  `resourceName` - Resource name.

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of the field.

  Returns:
    the display name of the field.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of the field.

  Parameters:
    `displayName` - The display name of the field.

### isDrill

    public boolean isDrill()

  Gets whether or not to show the field in Drill list.

  Returns:
    `true` if the field is to be shown in Drill list; `false` otherwise.

### setDrill

    public void setDrill(boolean drill)

  Sets whether or not to show the field in Drill list.

  Parameters:
    `drill` - `true` if the field is to be shown in Drill list; `false` otherwise.

### isFilter

    public boolean isFilter()

  Gets whether or not to show the field in Filter list.

  Returns:
    `true` if the field is to be shown in Filter list; `false` otherwise.

### setFilter

    public void setFilter(boolean filter)

  Sets whether or not to show the field in Filter list.

  Parameters:
    `filter` - `true` if the field is to be shown in Filter list; `false` otherwise.

### isSearch

    public boolean isSearch()

  Gets whether or not to show the field in Search list.

  Returns:
    `true` if the field is to be shown in Search list; `false` otherwise.

### setSearch

    public void setSearch(boolean search)

  Sets whether or not to show the field in Search list.

  Parameters:
    `search` - `true` if the field is to be shown in Search list; `false` otherwise.

### isSort

    public boolean isSort()

  Gets whether or not to show the field in Sort list.

  Returns:
    `true` if the field is to be shown in Sort list; `false` otherwise.

### setSort

    public void setSort(boolean sort)

  Sets whether or not to show the field in Sort list.

  Parameters:
    `sort` - `true` if the field is to be shown in Sort list; `false` otherwise.

### getResourceName

    public java.lang.String getResourceName()

  Gets the mapping name of the field.

  Returns:
    the mapping name of the field.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isFormulaed

    public boolean isFormulaed()

  Specifies whether the display field is a formula or not.

  Returns:
    `true if the field is a formula; `false` otherwise.`

### setFormulaed

    public void setFormulaed(boolean formulaed)

  Specifies whether the display field is a formula or not.

  Parameters:
    ``true` - if the field is a formula; `false` otherwise.`

### setGroupSort

    public void setGroupSort(java.lang.String groupName,
                             boolean sortOn)

  Sets sort option in group field. For a grouped banded object or table, you can also choose to sort the groups at certain group level based on a specified field in each group in JReport Viewer. Here you can decide whether to enable this Sort in Group action on the fields.

  Parameters:
    `groupName` - The mapping name of the groupby field.
    `sortOn` - Whether to enable this Sort in Group action on the field.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD